#include <MasterKeyVault.h>
#include <constants.h>
#include <twister.h>

DBINT MasterKeyVault::exists(Dblib dl, char *database)
{
	DBINT i = dl.tableexists(database, "MASTER_KEY_VAULT");
	return i;
}

RETCODE MasterKeyVault::createvault(Dblib dl, char *database)
{
	char s[MAX_SQL_LEN];
	srv_bzero(s, MAX_SQL_LEN);
//	sprintf(s, SQL_MASTER_VAULT_CREATE, database);
//	int rc = dl.execute(s);
//	dl.discardresult();
	return (0);
}

RETCODE MasterKeyVault::getmasterkey(Dblib dl, char *keyname, char *database, char &key)
{
	return (XP_NOERROR);
}